API referenceATLASi ISP
POST /api/ATLASi/ISP/UpdateBalancingEnergyOffersScenarioValues
POST
/api/ATLASi/ISP/UpdateBalancingEnergyOffersScenarioValuescurl -X POST "/api/ATLASi/ISP/UpdateBalancingEnergyOffersScenarioValues" \
-H "Authorization: $ATLAS_ETRM_API_DOCUMENTATION_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"data": {
"date": "2026-01-15",
"scenarioId": 0,
"payload": [
{
"dispatchPeriod": 0,
"value": 0,
"price": 0,
"entityId": 0,
"entityName": "string",
"entityType": 1,
"zoneId": 0,
"zoneName": "string",
"direction": 1,
"block": 0
}
]
}
}'Authorization
AuthorizationstringheaderrequiredJWT Authorization header using the Bearer scheme. Enter your token including the 'Bearer ' prefix (e.g. 'Bearer eyJ...').
Body
application/json
dataEtrmApiGateway.DTOs.ATLASi.ISP.BalancingEnergyOffersPostBody
Response
application/json
OK
successbooleanerrorCodestring | nullerrorMessagestring | nullwarningMessagestring | nullinfoMessagestring | nullrecordCountinteger<int32>dataany
{
"success": true,
"errorCode": "string",
"errorMessage": "string",
"warningMessage": "string",
"infoMessage": "string",
"recordCount": 0,
"data": null
}